Page MenuHomePhabricator

[MIPS] MIPS32 branch emulation and single-stepping
ClosedPublic

Authored by jaydeep on Jun 21 2015, 11:03 PM.

Details

Reviewers
clayborg
Summary

This patch implements

  1. Emulation of MIPS32 branch instructions
  2. Enable single-stepping for MIPS32 instructions
  3. Correction in emulation of MIPS64 branch instructions with delay slot
  4. Adjust breakpoint address when breakpoint is hit in a forbidden slot of compact branch instruction

Diff Detail

Event Timeline

jaydeep updated this revision to Diff 28097.Jun 21 2015, 11:03 PM
jaydeep retitled this revision from to [MIPS] MIPS32 branch emulation and single-stepping.
jaydeep updated this object.
jaydeep edited the test plan for this revision. (Show Details)
jaydeep added a reviewer: clayborg.
jaydeep set the repository for this revision to rL LLVM.
jaydeep added subscribers: Unknown Object (MLST), bhushan, slthakur and 2 others.
emaste added a subscriber: emaste.Jun 22 2015, 8:25 AM
clayborg accepted this revision.Jun 22 2015, 11:19 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Jun 22 2015, 11:19 AM
jaydeep closed this revision.Aug 13 2015, 10:11 PM

Closed by commit rL240373